#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './vpncprop.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "vpncprop.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qcheckbox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a VPNCConfigWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
VPNCConfigWidget::VPNCConfigWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "VPNCConfigWidget" );
    VPNCConfigWidgetLayout = new QGridLayout( this, 1, 1, 0, 6, "VPNCConfigWidgetLayout"); 

    kTabWidget1 = new QTabWidget( this, "kTabWidget1" );

    TabPage = new QWidget( kTabWidget1, "TabPage" );
    TabPageLayout = new QGridLayout( TabPage, 1, 1, 11, 6, "TabPageLayout"); 

    textLabel3 = new QLabel( TabPage, "textLabel3" );

    TabPageLayout->addWidget( textLabel3, 0, 0 );

    IPSec_gateway = new KLineEdit( TabPage, "IPSec_gateway" );

    TabPageLayout->addWidget( IPSec_gateway, 0, 1 );

    labelGroup = new QLabel( TabPage, "labelGroup" );

    TabPageLayout->addWidget( labelGroup, 1, 0 );

    IPSec_ID = new KLineEdit( TabPage, "IPSec_ID" );

    TabPageLayout->addWidget( IPSec_ID, 1, 1 );
    spacer9 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    TabPageLayout->addItem( spacer9, 2, 1 );
    kTabWidget1->insertTab( TabPage, QString::fromLatin1("") );

    TabPage_2 = new QWidget( kTabWidget1, "TabPage_2" );
    TabPageLayout_2 = new QGridLayout( TabPage_2, 1, 1, 11, 6, "TabPageLayout_2"); 

    chkIPAdresses = new QCheckBox( TabPage_2, "chkIPAdresses" );

    TabPageLayout_2->addMultiCellWidget( chkIPAdresses, 8, 8, 0, 1 );
    spacer10 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    TabPageLayout_2->addItem( spacer10, 10, 1 );

    chkDisableNatTraversal = new QCheckBox( TabPage_2, "chkDisableNatTraversal" );

    TabPageLayout_2->addMultiCellWidget( chkDisableNatTraversal, 6, 6, 0, 1 );

    chkSingleDES = new QCheckBox( TabPage_2, "chkSingleDES" );

    TabPageLayout_2->addMultiCellWidget( chkSingleDES, 7, 7, 0, 1 );

    routes = new KLineEdit( TabPage_2, "routes" );
    routes->setEnabled( FALSE );

    TabPageLayout_2->addMultiCellWidget( routes, 9, 9, 0, 1 );

    chkUseKeepAlive = new QCheckBox( TabPage_2, "chkUseKeepAlive" );

    TabPageLayout_2->addMultiCellWidget( chkUseKeepAlive, 4, 4, 0, 1 );

    chkUseDomain = new QCheckBox( TabPage_2, "chkUseDomain" );

    TabPageLayout_2->addMultiCellWidget( chkUseDomain, 2, 2, 0, 1 );

    chkOverrideUsername = new QCheckBox( TabPage_2, "chkOverrideUsername" );

    TabPageLayout_2->addMultiCellWidget( chkOverrideUsername, 0, 0, 0, 1 );

    Xauth_username = new KLineEdit( TabPage_2, "Xauth_username" );
    Xauth_username->setEnabled( FALSE );

    TabPageLayout_2->addWidget( Xauth_username, 1, 1 );

    lblUsername = new QLabel( TabPage_2, "lblUsername" );
    lblUsername->setEnabled( FALSE );

    TabPageLayout_2->addWidget( lblUsername, 1, 0 );

    Domain = new KLineEdit( TabPage_2, "Domain" );
    Domain->setEnabled( FALSE );

    TabPageLayout_2->addWidget( Domain, 3, 1 );

    lblDomain = new QLabel( TabPage_2, "lblDomain" );
    lblDomain->setEnabled( FALSE );

    TabPageLayout_2->addWidget( lblDomain, 3, 0 );

    lblKeepAliveInterval = new QLabel( TabPage_2, "lblKeepAliveInterval" );
    lblKeepAliveInterval->setEnabled( FALSE );

    TabPageLayout_2->addWidget( lblKeepAliveInterval, 5, 0 );

    nat_keep_alive_interval = new QLineEdit( TabPage_2, "nat_keep_alive_interval" );
    nat_keep_alive_interval->setEnabled( FALSE );
    nat_keep_alive_interval->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, nat_keep_alive_interval->sizePolicy().hasHeightForWidth() ) );

    TabPageLayout_2->addWidget( nat_keep_alive_interval, 5, 1 );
    kTabWidget1->insertTab( TabPage_2, QString::fromLatin1("") );

    VPNCConfigWidgetLayout->addWidget( kTabWidget1, 0, 0 );
    languageChange();
    resize( QSize(667, 368).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel3->setBuddy( IPSec_gateway );
    labelGroup->setBuddy( IPSec_ID );
}

/*
 *  Destroys the object and frees any allocated resources
 */
VPNCConfigWidget::~VPNCConfigWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void VPNCConfigWidget::languageChange()
{
    textLabel3->setText( tr2i18n( "Gateway" ) );
    labelGroup->setText( tr2i18n( "Group Name" ) );
    kTabWidget1->changeTab( TabPage, tr2i18n( "Required Information" ) );
    chkIPAdresses->setText( tr2i18n( "Only use VPN Connection for these Adresses (for example: 172.16.0.0/16 10.11.12.0/24)" ) );
    chkDisableNatTraversal->setText( tr2i18n( "Disable NAT traversal" ) );
    chkSingleDES->setText( tr2i18n( "Enable weak single DES encryption" ) );
    chkUseKeepAlive->setText( tr2i18n( "Use NAT keep alive packets" ) );
    chkUseDomain->setText( tr2i18n( "Use domain for authentication" ) );
    chkOverrideUsername->setText( tr2i18n( "Override user name" ) );
    lblUsername->setText( tr2i18n( "Username" ) );
    lblDomain->setText( tr2i18n( "Domain" ) );
    lblKeepAliveInterval->setText( tr2i18n( "Interval" ) );
    kTabWidget1->changeTab( TabPage_2, tr2i18n( "Optional Information" ) );
}

#include "vpncprop.moc"
